Subject: Re: [BUILD FAILURE]2.6.24-git{1,2} kernel powerpc linkage failure

From: Greg KH <[email-masked]>
Date: Sat, 26 Jan 2008 12:45:14 -0800

On Sat, Jan 26, 2008 at 06:53:31PM +0530, Kamalesh Babulal wrote:
> Hi,
> 
> The 2.6.24-git2 kernel build fails on the power boxes with following build failure
> 
>   LD      init/built-in.o
>   LD      .tmp_vmlinux1
> arch/powerpc/kernel/built-in.o: In function `fphalf':
> arch/powerpc/kernel/vector.S:(.toc+0x1428): undefined reference to `devices_subsys'
> make: *** [.tmp_vmlinux1] Error 1
> 
> This built-failure was seen in the mm broken-out-2007-11-06-02-32, I have tested 
> the patch posted to lkml at http://lkml.org/lkml/2007/11/6/208 fixes this issue.

And that patch is wrong, see my post on lkml about this yesterday.

Paul is working on a "correct" patch, and if I get some time this
afternoon, I'll do one too.

thanks,

greg k-h